gtk-sharp 0.0.0.0 neutral Gtk# is thread aware, but not thread safe; See the Gtk# Thread Programming for details. A menu item with a check box.

A CheckMenuItem is a menu item that maintains the state of a boolean value in addition to a 's usual role in activating application code.

A check box indicating the state of the boolean value is displayed at the left side of the . Activating the toggles the value.

Whether the CheckMenuItem is 'on' or not can be determined with the property.

Gtk.MenuItem Atk.Implementor GLib.IWrapper GLib.IWrapper System.IDisposable
- Method
  System.Void Toggles the state of the check box between active and inactive.
- Method
  System.Void Disposes the resources associated with the object.
- Constructor
  Internal constructor
  Pointer to the C object.
  An instance of CheckMenuItem, wrapping the C object.

  This is an internal constructor, and should not be used by user code.

- Constructor
  Creates a CheckMenuItem with no label
  A new CheckMenuItem
- Constructor
  Create a new CheckMenuItem with the specified .
  The text to appear on the menu item.
  A new CheckMenuItem

  The text label will be created using , so underscores in the label indicate the mnemonic for the menu item.

- Property
  System.Boolean Manages whether the CheckMenuItem is in the 'inconsistent' state. to mark the check box as inconsistent, otherwise. if this CheckMenuItem is in the inconsistent state, otherwise.

  If the user has selected a range of elements (such as some text or spreadsheet cells) that are affected by a boolean setting, and the current values in that range are inconsistent, you may want to display the check in an "in between" state. This property turns on "in between" display.

  Normally you would turn off the inconsistent state again if the user explicitly selects a setting. This has to be done manually, this property only affects visual appearance, it doesn't affect the semantics of the widget.

- Property
  System.Boolean The 'active' state of the CheckMenuItem if the menu item has been set active, otherwise.
- Event
  System.EventHandler An event that is fired whenever the state of the CheckMenuItem is toggled.

  Connect to this event with a standard .

- Property
  GLib.GType GType Property. a Returns the native value for .
- Method
  System.Void Default handler for the event. Override this method in a subclass to provide a default handler for the event.
- Constructor
  Protected Constructor.
  a
  a
  Chain to this constructor if you have manually registered a native value for your subclass.
- Property
  System.Boolean To be added a To be added
- Property
  System.Boolean To be added a To be added